scala.collection

# MapProxyLike

#### trait MapProxyLike[A, +B, +This <: MapLike[A, B, This] with Map[A, B]] extends MapLike[A, B, This] with IterableProxyLike[(A, B), This]

This trait implements a proxy for Map objects. It forwards all calls to a different Map object.

Source
  MapProxyLike.scala
Version

  2.8

Since

  2.8

Linear Supertypes
IterableProxyLike[(A, B), This], TraversableProxyLike[(A, B), This], Proxy, MapLike[A, B, This], Subtractable[A, This], GenMapLike[A, B, This], IterableLike[(A, B), This], GenIterableLike[(A, B), This], TraversableLike[(A, B), This], GenTraversableLike[(A, B), This], Parallelizable[(A, B), ParMap[A, B]], TraversableOnce[(A, B)], GenTraversableOnce[(A, B)], FilterMonadic[(A, B), This], HasNewBuilder[(A, B), This], Equals, PartialFunction[A, B], (A) ⇒ B, AnyRef, Any
Known Subclasses
MapProxy, MapProxy, MapProxy
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. MapProxyLike
2. IterableProxyLike
3. TraversableProxyLike
4. Proxy
5. MapLike
6. Subtractable
7. GenMapLike
8. IterableLike
9. GenIterableLike
10. TraversableLike
11. GenTraversableLike
12. Parallelizable
13. TraversableOnce
14. GenTraversableOnce
15. FilterMonadic
16. HasNewBuilder
17. Equals
18. PartialFunction
19. Function1
20. AnyRef
21. Any

Visibility

1. Public
2. All

### Type Members

1. #### class DefaultKeySet extends Set[A]

   The implementation class of the set returned by `keySet`.

2. #### class DefaultValuesIterable extends Iterable[B]

   The implementation class of the iterable returned by `values`.

3. #### type Self = This

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

4. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Abstract Value Members

1. #### abstract def empty: This

   The empty map of the same type as this map

   The empty map of the same type as this map

   returns

     an empty map of type `This`.

   Definition Classes
     MapLike

2. #### abstract def self: This

   Definition Classes
     TraversableProxyLike → Proxy

3. #### abstract def seq: Map[A, B]

   Definition Classes
     GenMapLike → Parallelizable → GenTraversableOnce

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### abstract def +(kvs: (A, B)*): Map[A, B]

   [use case] Adds key/value pairs to this map, returning a new map.

   [use case]

   Adds key/value pairs to this map, returning a new map.

   kvs

     the remaining key/value pairs

   returns

     a new map with the given bindings added to this map

   Definition Classes
     MapLike

5. #### def +[B1 >: B](kv1: (A, B1), kv2: (A, B1), kvs: (A, B1)*): Map[A, B1]

   Adds key/value pairs to this map, returning a new map.

   Adds key/value pairs to this map, returning a new map.

   This method takes two or more key/value pairs. Another overloaded variant of this method handles the case where a single key/value pair is added.

   B1

     the type of the added values

   kv1

     the first key/value pair

   kv2

     the second key/value pair

   kvs

     the remaining key/value pairs

   returns

     a new map with the given bindings added to this map

   Definition Classes
     MapProxyLike → MapLike

6. #### abstract def +(kv: (A, B)): Map[A, B]

   [use case] Adds a key/value pair to this map, returning a new map.

   [use case]

   Adds a key/value pair to this map, returning a new map.

   kv

     the key/value pair

   returns

     a new map with the new binding added to this map

   Definition Classes
     MapLike

7. #### def +[B1 >: B](kv: (A, B1)): Map[A, B1]

   Adds a key/value pair to this map, returning a new map.

   Adds a key/value pair to this map, returning a new map.

   B1

     the type of the value in the key/value pair.

   kv

     the key/value pair

   returns

     a new map with the new binding added to this map

   Definition Classes
     MapProxyLike → MapLike → GenMapLike

8. #### abstract def ++(xs: Traversable[(A, B)]): Map[A, B]

   [use case] Adds all key/value pairs in a traversable collection to this map, returning a new map.

   [use case]

   Adds all key/value pairs in a traversable collection to this map, returning a new map.

   returns

     a new map with the given bindings added to this map

   Definition Classes
     MapLike

9. #### def ++[B1 >: B](xs: GenTraversableOnce[(A, B1)]): Map[A, B1]

   Adds all key/value pairs in a traversable collection to this map, returning a new map.

   Adds all key/value pairs in a traversable collection to this map, returning a new map.

   B1

     the type of the added values

   returns

     a new map with the given bindings added to this map

   Definition Classes
     MapProxyLike → MapLike

10. #### abstract def ++[B](that: GenTraversableOnce[B]): Map[B]

    [use case] Returns a new map containing the elements from the left hand operand followed by the elements from the right hand operand.

    [use case]

    Returns a new map containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the map is the most specific superclass encompassing the element types of the two operands (see example).

    B

      the element type of the returned collection.

    that

      the traversable to append.

    returns

      a new collection of type `That` which contains all elements of this map followed by all elements of `that`.

    Definition Classes
      GenTraversableLike

11. #### def ++[B >: (A, B), That](xs: GenTraversableOnce[B])(implicit bf: CanBuildFrom[This, B, That]): That

    Returns a new map containing the elements from the left hand operand followed by the elements from the right hand operand.

    Returns a new map containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the map is the most specific superclass encompassing the element types of the two operands (see example).

    Example:

            scala> val a = LinkedList(1)
            a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

            scala> val b = LinkedList(2)
            b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

            scala> val c = a ++ b
            c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

            scala> val d = LinkedList('a')
            d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

            scala> val e = c ++ d
            e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` which contains all elements of this map followed by all elements of `that`.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

12. #### def ++:[B >: (A, B), That](that: Traversable[B])(implicit bf: CanBuildFrom[This, B, That]): That

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand. It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one.

    Example:

            scala> val x = List(1)
            x: List[Int] = List(1)

            scala> val y = LinkedList(2)
            y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

            scala> val z = x ++: y
            z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

    Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    that

      the traversable to append.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new map which contains all elements of this map followed by all elements of `that`.

    Definition Classes
      TraversableLike

13. #### abstract def ++:[B](that: TraversableOnce[B]): Map[B]

    [use case] Concatenates this map with the elements of a traversable collection.

    [use case]

    Concatenates this map with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

    B

      the element type of the returned collection.

    that

      the traversable to append.

    returns

      a new collection of type `That` which contains all elements of this map followed by all elements of `that`.

    Definition Classes
      TraversableLike

14. #### def ++:[B >: (A, B), That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[This, B, That]): That

    Concatenates this map with the elements of a traversable collection.

    Concatenates this map with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

    Example:

            scala> val x = List(1)
            x: List[Int] = List(1)

            scala> val y = LinkedList(2)
            y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

            scala> val z = x ++: y
            z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    that

      the traversable to append.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` which contains all elements of this map followed by all elements of `that`.

    Definition Classes
      TraversableLike

15. #### abstract def -(key: A): Map[A, B]

    [use case] Removes a key from this map, returning a new map.

    [use case]

    Removes a key from this map, returning a new map.

    key

      the key to be removed

    returns

      a new map without a binding for `key`

    Definition Classes
      MapLike

16. #### def -(key: A): This

    Removes a key from this map, returning a new map.

    Removes a key from this map, returning a new map.

    key

      the key to be removed

    returns

      a new map without a binding for `key`

    Definition Classes
      MapProxyLike → MapLike → Subtractable → GenMapLike

17. #### def -(elem1: A, elem2: A, elems: A*): This

    Creates a new map from this map with some elements removed.

    Creates a new map from this map with some elements removed.

    This method takes two or more elements to be removed. Another overloaded variant of this method handles the case where a single element is removed.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new map that contains all elements of the current map except one less occurrence of each of the given elements.

    Definition Classes
      Subtractable

18. #### def --(xs: GenTraversableOnce[A]): This

    Creates a new map from this map by removing all elements of another collection.

    Creates a new map from this map by removing all elements of another collection.

    returns

      a new map that contains all elements of the current map except one less occurrence of each of the elements of `elems`.

    Definition Classes
      Subtractable

19. #### def /:[B](z: B)(op: (B, (A, B)) ⇒ B): B

    Applies a binary operator to a start value and all elements of this map, going left to right.

    Applies a binary operator to a start value and all elements of this map, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (5 /: a)(_+_)
             b: Int = 15

             scala> val c = (5 /: a)((x,y) => x + y)
             c: Int = 15

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this map, going left to right with the start value `z` on the left:

                      op(...op(op(z, x1), x2), ..., xn)

      where `x1, ..., xn` are the elements of this map.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

20. #### def /:\[A1 >: (A, B)](z: A1)(op: (A1, A1) ⇒ A1): A1

    A syntactic sugar for out of order folding.

    A syntactic sugar for out of order folding. See `fold`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a /:\ 5)(_+_)
             b: Int = 15

    Definition Classes
      GenTraversableOnce

21. #### def :\[B](z: B)(op: ((A, B), B) ⇒ B): B

    Applies a binary operator to all elements of this map and a start value, going right to left.

    Applies a binary operator to all elements of this map and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a :\ 5)(_+_)
             b: Int = 15

             scala> val c = (a :\ 5)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this map, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this map.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

22. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

24. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this map to a string builder using start, end, and separator strings.

    Appends all elements of this map to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this map are separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, "LinkedList(", ", ", ")")
             res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      MapProxyLike → TraversableProxyLike → MapLike → TraversableOnce

25. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this map to a string builder.

    Appends all elements of this map to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this map without any separator string.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> val h = a.addString(b)
             b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableProxyLike → TraversableOnce

26. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this map to a string builder using a separator string.

    Appends all elements of this map to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this map, separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, ", ")
             res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableProxyLike → TraversableOnce

27. #### def aggregate[B](z: B)(seqop: (B, (A, B)) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

           pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

28. #### def andThen[C](k: (B) ⇒ C): PartialFunction[A, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

29. #### def apply(key: A): B

    Retrieves the value which is associated with the given key.

    Retrieves the value which is associated with the given key. This method invokes the `default` method of the map if there is no mapping from the given key to a value. Unless overridden, the `default` method throws a `NoSuchElementException`.

    key

      the key

    returns

      the value associated with the given key, or the result of the map's `default` method, if none exists.

    Definition Classes
      MapProxyLike → MapLike → GenMapLike → Function1

30. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

31. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this map should be compared

    returns

      `true`, if this map can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

32. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

33. #### abstract def collect[B](pf: PartialFunction[(A, B), B]): Map[B]

    [use case] Builds a new collection by applying a partial function to all elements of this map on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this map on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the map.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike

34. #### def collect[B, That](pf: PartialFunction[(A, B), B])(implicit bf: CanBuildFrom[This, B, That]): That

    Builds a new collection by applying a partial function to all elements of this map on which the function is defined.

    Builds a new collection by applying a partial function to all elements of this map on which the function is defined.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    pf

      the partial function which filters and maps the map.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

35. #### def collectFirst[B](pf: PartialFunction[(A, B), B]): Option[B]

    Finds the first element of the map for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the map for which the given partial function is defined, and applies the partial function to it.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

36. #### def compose[A](g: (A) ⇒ A): (A) ⇒ B

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1

37. #### def contains(key: A): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      MapProxyLike → MapLike

38. #### abstract def copyToArray(xs: Array[(A, B)]): Unit

    [use case] Copies values of this map to an array.

    [use case]

    Copies values of this map to an array. Fills the given array `xs` with values of this map. Copying will stop once either the end of the current map is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce

39. #### def copyToArray[B >: (A, B)](xs: Array[B]): Unit

    Copies values of this map to an array.

    Copies values of this map to an array. Fills the given array `xs` with values of this map. Copying will stop once either the end of the current map is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

40. #### abstract def copyToArray(xs: Array[(A, B)], start: Int): Unit

    [use case] Copies values of this map to an array.

    [use case]

    Copies values of this map to an array. Fills the given array `xs` with values of this map, beginning at index `start`. Copying will stop once either the end of the current map is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce

41. #### def copyToArray[B >: (A, B)](xs: Array[B], start: Int): Unit

    Copies values of this map to an array.

    Copies values of this map to an array. Fills the given array `xs` with values of this map, beginning at index `start`. Copying will stop once either the end of the current map is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

42. #### abstract def copyToArray(xs: Array[(A, B)], start: Int, len: Int): Unit

    [use case] Copies elements of this map to an array.

    [use case]

    Copies elements of this map to an array. Fills the given array `xs` with at most `len` elements of this map, starting at position `start`. Copying will stop once either the end of the current map is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      TraversableLike

43. #### def copyToArray[B >: (A, B)](xs: Array[B], start: Int, len: Int): Unit

    Copies elements of this map to an array.

    Copies elements of this map to an array. Fills the given array `xs` with at most `len` elements of this map, starting at position `start`. Copying will stop once either the end of the current map is reached, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

44. #### def copyToBuffer[B >: (A, B)](dest: Buffer[B]): Unit

    Copies all elements of this map to a buffer.

    Copies all elements of this map to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableProxyLike → TraversableOnce

45. #### def count(p: ((A, B)) ⇒ Boolean): Int

    Counts the number of elements in the map which satisfy a predicate.

    Counts the number of elements in the map which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

46. #### def default(key: A): B

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    key

      the given key value for which a binding is missing.

    Definition Classes
      MapProxyLike → MapLike → GenMapLike
    Exceptions thrown
      `NoSuchElementException`

47. #### def drop(n: Int): This

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this map.

    returns

      a map consisting of all elements of this map except the first `n` ones, or else the empty map, if this map has less than `n` elements.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

48. #### def dropRight(n: Int): This

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      The number of elements to take

    returns

      a map consisting of all elements of this map except the last `n` ones, or else the empty map, if this map has less than `n` elements.

    Definition Classes
      IterableProxyLike → IterableLike

49. #### def dropWhile(p: ((A, B)) ⇒ Boolean): This

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this map whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

50. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

51. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

52. #### def exists(p: ((A, B)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this map.

    Tests whether a predicate holds for some of the elements of this map.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this map, otherwise `false`.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

53. #### def filter(p: ((A, B)) ⇒ Boolean): This

    Selects all elements of this map which satisfy a predicate.

    Selects all elements of this map which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new map consisting of all elements of this map that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

54. #### def filterKeys(p: (A) ⇒ Boolean): Map[A, B]

    Filters this map by retaining only keys satisfying a predicate.

    Filters this map by retaining only keys satisfying a predicate.

    p

      the predicate used to test keys

    returns

      an immutable map consisting only of those key value pairs of this map where the key satisfies the predicate `p`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      MapProxyLike → MapLike

55. #### def filterNot(p: ((A, B)) ⇒ Boolean): This

    Selects all elements of this map which do not satisfy a predicate.

    Selects all elements of this map which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new map consisting of all elements of this map that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      MapProxyLike → TraversableProxyLike → MapLike → TraversableLike → GenTraversableLike

56. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

57. #### def find(p: ((A, B)) ⇒ Boolean): Option[(A, B)]

    Finds the first element of the map satisfying a predicate, if any.

    Finds the first element of the map satisfying a predicate, if any.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the map that satisfies `p`, or `None` if none exists.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

58. #### abstract def flatMap[B](f: ((A, B)) ⇒ GenTraversableOnce[B]): Map[B]

    [use case] Builds a new collection by applying a function to all elements of this map and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this map and using the elements of the resulting collections. For example:

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this map and concatenating the results.

    Definition Classes
      GenTraversableLike

59. #### def flatMap[B, That](f: ((A, B)) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[This, B, That]): That

    Builds a new collection by applying a function to all elements of this map and using the elements of the resulting collections.

    Builds a new collection by applying a function to all elements of this map and using the elements of the resulting collections. For example:

         def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of map. This might cause unexpected results sometimes. For example:

         // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
         def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

         // lettersOf will return a Set[Char], not a Seq
         def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

         // xs will be a an Iterable[Int]
         val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

         // ys will be a Map[Int, Int]
         val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this map and concatenating the results.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike → FilterMonadic

60. #### def fold[A1 >: (A, B)](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this map using the specified associative binary operator.

    Folds the elements of this map using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

61. #### def foldLeft[B](z: B)(op: (B, (A, B)) ⇒ B): B

    Applies a binary operator to a start value and all elements of this map, going left to right.

    Applies a binary operator to a start value and all elements of this map, going left to right.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this map, going left to right with the start value `z` on the left:

                      op(...op(z, x1), x2, ..., xn)

      where `x1, ..., xn` are the elements of this map.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

62. #### def foldRight[B](z: B)(op: ((A, B), B) ⇒ B): B

    Applies a binary operator to all elements of this map and a start value, going right to left.

    Applies a binary operator to all elements of this map and a start value, going right to left.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this map, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this map.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

63. #### def forall(p: ((A, B)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this map.

    Tests whether a predicate holds for all elements of this map.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this map, otherwise `false`.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

64. #### abstract def foreach(f: ((A, B)) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this map.

    [use case]

    Applies a function `f` to all elements of this map.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      TraversableLike

65. #### def foreach[B](f: ((A, B)) ⇒ B): Unit

    Applies a function `f` to all elements of this map.

    Applies a function `f` to all elements of this map.

    Note: this method underlies the implementation of most other bulk operations. It's important to implement this method in an efficient way.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic

66. #### def get(key: A): Option[B]

    Optionally returns the value associated with a key.

    Optionally returns the value associated with a key.

    key

      the key value

    returns

      an option value containing the value associated with `key` in this map, or `None` if none exists.

    Definition Classes
      MapProxyLike → MapLike → GenMapLike

67. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

68. #### abstract def getOrElse(key: A, default: ⇒ B): B

    [use case] Returns the value associated with a key, or a default value if the key is not contained in the map.

    [use case]

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    key

      the key.

    default

      a computation that yields a default value in case no binding for `key` is found in the map.

    returns

      the value associated with `key` if it exists, otherwise the result of the `default` computation.

    Definition Classes
      MapLike

69. #### def getOrElse[B1 >: B](key: A, default: ⇒ B1): B1

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    B1

      the result type of the default computation.

    key

      the key.

    default

      a computation that yields a default value in case no binding for `key` is found in the map.

    returns

      the value associated with `key` if it exists, otherwise the result of the `default` computation.

    Definition Classes
      MapProxyLike → MapLike

70. #### def groupBy[K](f: ((A, B)) ⇒ K): Map[K, This]

    Partitions this map into a map of maps according to some discriminator function.

    Partitions this map into a map of maps according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new map.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to maps such that the following invariant holds:

                          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a map of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike

71. #### def grouped(size: Int): Iterator[This]

    Partitions elements in fixed size maps.

    Partitions elements in fixed size maps.

    size

      the number of elements per group

    returns

      An iterator producing maps of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableProxyLike → IterableLike
    See also

      Iterator#grouped

72. #### def hasDefiniteSize: Boolean

    Tests whether this map is known to have a finite size.

    Tests whether this map is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

73. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

74. #### def head: (A, B)

    Selects the first element of this map.

    Selects the first element of this map.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this map.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the map is empty.

75. #### def headOption: Option[(A, B)]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this map if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableProxyLike → TraversableLike

76. #### def init: This

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a map consisting of all elements of this map except the last one.

    Definition Classes
      TraversableProxyLike → TraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the map is empty.

77. #### def inits: Iterator[This]

    Iterates over the inits of this map.

    Iterates over the inits of this map. The first value will be this map and the final one will be an empty map, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this map

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

78. #### def isDefinedAt(key: A): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key. This method, which implements an abstract method of trait `PartialFunction`, is equivalent to `contains`.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      MapProxyLike → MapLike → PartialFunction

79. #### def isEmpty: Boolean

    Tests whether this map is empty.

    Tests whether this map is empty.

    returns

      `true` if the map contain no elements, `false` otherwise.

    Definition Classes
      MapProxyLike → TraversableProxyLike → MapLike → IterableLike → GenIterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

80. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

81. #### final def isTraversableAgain: Boolean

    Tests whether this map can be repeatedly traversed.

    Tests whether this map can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      GenTraversableLike → GenTraversableOnce

82. #### def iterator: Iterator[(A, B)]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      MapProxyLike → IterableProxyLike → MapLike → IterableLike → GenIterableLike

83. #### def keySet: Set[A]

    Collects all keys of this map in a set.

    Collects all keys of this map in a set.

    returns

      a set containing all keys of this map.

    Definition Classes
      MapProxyLike → MapLike

84. #### def keys: Iterable[A]

    Collects all keys of this map in an iterable collection.

    Collects all keys of this map in an iterable collection.

    returns

      the keys of this map as an iterable.

    Definition Classes
      MapProxyLike → MapLike

85. #### def keysIterator: Iterator[A]

    Creates an iterator for all keys.

    Creates an iterator for all keys.

    returns

      an iterator over all keys.

    Definition Classes
      MapProxyLike → MapLike

86. #### def last: (A, B)

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this map.

    Definition Classes
      TraversableProxyLike → TraversableLike
    Exceptions thrown
      NoSuchElementException

      If the map is empty.

87. #### def lastOption: Option[(A, B)]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this map$ if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableProxyLike → TraversableLike

88. #### def lift: (A) ⇒ Option[B]

    Turns this partial function into an plain function returning an `Option` result.

    Turns this partial function into an plain function returning an `Option` result.

    returns

      a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

    Definition Classes
      PartialFunction
    See also

      Function.unlift

89. #### abstract def map[B](f: ((A, B)) ⇒ B): Map[B]

    [use case] Builds a new collection by applying a function to all elements of this map.

    [use case]

    Builds a new collection by applying a function to all elements of this map.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this map and collecting the results.

    Definition Classes
      GenTraversableLike

90. #### def map[B, That](f: ((A, B)) ⇒ B)(implicit bf: CanBuildFrom[This, B, That]): That

    Builds a new collection by applying a function to all elements of this map.

    Builds a new collection by applying a function to all elements of this map.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given function `f` to each element of this map and collecting the results.

    Definition Classes
      TraversableProxyLike → TraversableLike → GenTraversableLike → FilterMonadic

91. #### def mapValues[C](f: (B) ⇒ C): Map[A, C]

    Transforms this map by applying a function to every retrieved value.

    Transforms this map by applying a function to every retrieved value.

    f

      the function used to transform values of this map.

    returns

      a map view which maps every key of this map to `f(this(key))`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      MapProxyLike → MapLike

92. #### abstract def max: (A, B)

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this map with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

93. #### def max[B >: (A, B)](implicit cmp: Ordering[B]): (A, B)

    Finds the largest element.

    Finds the largest element.

    B

      The type over which the ordering is defined.

    cmp

      An ordering to be used for comparing elements.

    returns

      the largest element of this map with respect to the ordering `cmp`.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

94. #### def maxBy[B](f: ((A, B)) ⇒ B)(implicit cmp: Ordering[B]): (A, B)

    Definition Classes
      TraversableOnce → GenTraversableOnce

95. #### abstract def min: (A, B)

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this map with respect to the ordering `cmp`.

    Definition Classes
      GenTraversableOnce

96. #### def min[B >: (A, B)](implicit cmp: Ordering[B]): (A, B)

    Finds the smallest element.

    Finds the smallest element.

    B

      The type over which the ordering is defined.

    cmp

      An ordering to be used for comparing elements.

    returns

      the smallest element of this map with respect to the ordering `cmp`.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

97. #### def minBy[B](f: ((A, B)) ⇒ B)(implicit cmp: Ordering[B]): (A, B)

    Definition Classes
      TraversableOnce → GenTraversableOnce

98. #### def mkString: String

    Displays all elements of this map in a string.

    Displays all elements of this map in a string.

    returns

      a string representation of this map. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this map follow each other without any separator string.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce

99. #### def mkString(sep: String): String

    Displays all elements of this map in a string using a separator string.

    Displays all elements of this map in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this map. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this map are separated by the string `sep`.

    Definition Classes
      TraversableProxyLike → TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

100. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this map in a string using start, end, and separator strings.

     Displays all elements of this map in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this map. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this map are separated by the string `sep`.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

101. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

102. #### def newBuilder: Builder[(A, B), This]

     A common implementation of `newBuilder` for all maps in terms of `empty`.

     A common implementation of `newBuilder` for all maps in terms of `empty`. Overridden for mutable maps in `mutable.MapLike`.

     Attributes
       protected[this]
     Definition Classes
       MapLike → TraversableLike → HasNewBuilder

103. #### def nonEmpty: Boolean

     Tests whether the map is not empty.

     Tests whether the map is not empty.

     returns

       `true` if the map contains at least one element, `false` otherwise.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

104. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

105. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

106. #### def orElse[A1 <: A, B1 >: B](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

107. #### def par: ParMap[A, B]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

108. #### def parCombiner: Combiner[(A, B), ParMap[A, B]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       MapLike → TraversableLike → Parallelizable

109. #### def partition(p: ((A, B)) ⇒ Boolean): (This, This)

     Partitions this map in two maps according to a predicate.

     Partitions this map in two maps according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of maps: the first map consists of all elements that satisfy the predicate `p` and the second map consists of all elements that don't. The relative order of the elements in the resulting maps is the same as in the original map.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

110. #### abstract def product: (A, B)

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements of this map with respect to the `*` operator in `num`.

     Definition Classes
       GenTraversableOnce

111. #### def product[B >: (A, B)](implicit num: Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this map with respect to the `*` operator in `num`.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

112. #### def reduce[A1 >: (A, B)](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this map using the specified associative binary operator.

     Reduces the elements of this map using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the map is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this map is empty.

113. #### def reduceLeft[B >: (A, B)](op: (B, (A, B)) ⇒ B): B

     Definition Classes
       TraversableProxyLike → TraversableOnce

114. #### def reduceLeftOption[B >: (A, B)](op: (B, (A, B)) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this map, going left to right.

     Optionally applies a binary operator to all elements of this map, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this map is nonempty, `None` otherwise.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

115. #### def reduceOption[A1 >: (A, B)](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this map, if any, using the specified associative binary operator.

     Reduces the elements of this map, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

116. #### def reduceRight[B >: (A, B)](op: ((A, B), B) ⇒ B): B

     Applies a binary operator to all elements of this map, going right to left.

     Applies a binary operator to all elements of this map, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this map, going right to left:

                       op(x,,1,,, op(x,,2,,, ..., op(x,,n-1,,, x,,n,,)...))

       where `x1, ..., xn` are the elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this map is empty.

117. #### def reduceRightOption[B >: (A, B)](op: ((A, B), B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this map, going right to left.

     Optionally applies a binary operator to all elements of this map, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this map is nonempty, `None` otherwise.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

118. #### def repr: This

     The collection of type map underlying this `TraversableLike` object.

     The collection of type map underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

119. #### def reversed: List[(A, B)]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

120. #### abstract def sameElements(that: GenIterable[(A, B)]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this map.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this map.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       GenIterableLike

121. #### def sameElements[B >: (A, B)](that: GenIterable[B]): Boolean

     Checks if the other iterable collection contains the same elements in the same order as this map.

     Checks if the other iterable collection contains the same elements in the same order as this map.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements of collection `that`.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableProxyLike → IterableLike → GenIterableLike

122. #### def scan[B >: (A, B), That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[This, B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new map containing the prefix scan of the elements in this map

     Definition Classes
       TraversableLike → GenTraversableLike

123. #### def scanLeft[B, That](z: B)(op: (B, (A, B)) ⇒ B)(implicit bf: CanBuildFrom[This, B, That]): That

     Produces a collection containing cummulative results of applying the operator going left to right.

     Produces a collection containing cummulative results of applying the operator going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

124. #### def scanRight[B, That](z: B)(op: ((A, B), B) ⇒ B)(implicit bf: CanBuildFrom[This, B, That]): That

     Produces a collection containing cummulative results of applying the operator going right to left.

     Produces a collection containing cummulative results of applying the operator going right to left. The head of the collection is the last cummulative result.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

            List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

125. #### def size: Int

     The size of this map.

     The size of this map.

     returns

       the number of elements in this map.

     Definition Classes
       TraversableProxyLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

126. #### def slice(from: Int, until: Int): This

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

            from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the lowest index to include from this map.

     until

       the highest index to EXCLUDE from this map.

     returns

       a map containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this map.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

127. #### def sliding[B >: (A, B)](size: Int, step: Int): Iterator[This]

     Definition Classes
       IterableProxyLike → IterableLike

128. #### def sliding[B >: (A, B)](size: Int): Iterator[This]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing maps of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableProxyLike → IterableLike
     See also

       Iterator#sliding

129. #### def span(p: ((A, B)) ⇒ Boolean): (This, This)

     Splits this map into a prefix/suffix pair according to a predicate.

     Splits this map into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this map whose elements all satisfy `p`, and the rest of this map.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

130. #### def splitAt(n: Int): (This, This)

     Splits this map into two at a given position.

     Splits this map into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of maps consisting of the first `n` elements of this map, and the other elements.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

131. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this map. By default the string prefix is the simple name of the collection class map.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

132. #### abstract def sum: (A, B)

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements of this map with respect to the `+` operator in `num`.

     Definition Classes
       GenTraversableOnce

133. #### def sum[B >: (A, B)](implicit num: Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this map with respect to the `+` operator in `num`.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

134. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

135. #### def tail: This

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a map consisting of all elements of this map except the first one.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the map is empty.

136. #### def tails: Iterator[This]

     Iterates over the tails of this map.

     Iterates over the tails of this map. The first value will be this map and the final one will be an empty map, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this map

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

137. #### def take(n: Int): This

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       Tt number of elements to take from this map.

     returns

       a map consisting only of the first `n` elements of this map, or else the whole map, if it has less than `n` elements.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

138. #### def takeRight(n: Int): This

     Selects last n elements.

     Selects last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take

     returns

       a map consisting only of the last `n` elements of this map, or else the whole map, if it has less than `n` elements.

     Definition Classes
       IterableProxyLike → IterableLike

139. #### def takeWhile(p: ((A, B)) ⇒ Boolean): This

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this map whose elements all satisfy the predicate `p`.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableLike

140. #### def thisCollection: Iterable[(A, B)]

     The underlying collection seen as an instance of `Map`.

     The underlying collection seen as an instance of `Map`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

141. #### abstract def toArray: Array[(A, B)]

     [use case] Converts this map to an array.

     [use case]

     Converts this map to an array.

     returns

       an array containing all elements of this map.

     Definition Classes
       GenTraversableOnce

142. #### def toArray[B >: (A, B)](implicit arg0: ClassManifest[B]): Array[B]

     Converts this map to an array.

     Converts this map to an array.

     B

       the type of the elements of the array. A `ClassManifest` for this type must be available.

     returns

       an array containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

143. #### def toBuffer[B >: (A, B)]: Buffer[B]

     Converts this map to a mutable buffer.

     Converts this map to a mutable buffer.

     returns

       a buffer containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

144. #### def toCollection(repr: This): Iterable[(A, B)]

     A conversion from collections of type `Repr` to `Map` objects.

     A conversion from collections of type `Repr` to `Map` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

145. #### def toIndexedSeq[B >: (A, B)]: IndexedSeq[(A, B)]

     Converts this map to an indexed sequence.

     Converts this map to an indexed sequence.

     returns

       an indexed sequence containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

146. #### def toIterable: Iterable[(A, B)]

     Converts this map to an iterable collection.

     Converts this map to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

147. #### def toIterator: Iterator[(A, B)]

     Returns an Iterator over the elements in this map.

     Returns an Iterator over the elements in this map. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableOnce

148. #### def toList: List[(A, B)]

     Converts this map to a list.

     Converts this map to a list.

     returns

       a list containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

149. #### abstract def toMap[T, U]: Map[T, U]

     [use case] Converts this map to a map.

     [use case]

     Converts this map to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this map.

     Definition Classes
       GenTraversableOnce

150. #### def toMap[T, U](implicit ev: <:<[(A, B), (T, U)]): Map[T, U]

     Converts this map to a map.

     Converts this map to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

151. #### def toSeq: Seq[(A, B)]

     Converts this map to a sequence.

     Converts this map to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     returns

       a sequence containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

152. #### def toSet[B >: (A, B)]: Set[B]

     Converts this map to a set.

     Converts this map to a set.

     returns

       a set containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableOnce → GenTraversableOnce

153. #### def toStream: Stream[(A, B)]

     Converts this map to a stream.

     Converts this map to a stream.

     returns

       a stream containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableLike → GenTraversableOnce

154. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Proxy → AnyRef → Any

155. #### def toTraversable: Traversable[(A, B)]

     Converts this map to an unspecified Traversable.

     Converts this map to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this map.

     Definition Classes
       TraversableProxyLike → TraversableLike → TraversableOnce → GenTraversableOnce

156. #### abstract def updated(key: A, value: B): Map[A, B]

     [use case] Creates a new map obtained by updating this map with a given key/value pair.

     [use case]

     Creates a new map obtained by updating this map with a given key/value pair.

     key

       the key

     value

       the value

     returns

       A new map with the new key/value mapping added to this map.

     Definition Classes
       MapLike

157. #### def updated[B1 >: B](key: A, value: B1): Map[A, B1]

     Creates a new map obtained by updating this map with a given key/value pair.

     Creates a new map obtained by updating this map with a given key/value pair.

     B1

       the type of the added value

     key

       the key

     value

       the value

     returns

       A new map with the new key/value mapping added to this map.

     Definition Classes
       MapProxyLike → MapLike

158. #### def values: Iterable[B]

     Collects all values of this map in an iterable collection.

     Collects all values of this map in an iterable collection.

     returns

       the values of this map as an iterable.

     Definition Classes
       MapProxyLike → MapLike

159. #### def valuesIterator: Iterator[B]

     Creates an iterator for all values in this map.

     Creates an iterator for all values in this map.

     returns

       an iterator over all values that are associated with some key in this map.

     Definition Classes
       MapProxyLike → MapLike

160. #### def view(from: Int, until: Int): IterableView[(A, B), This]

     Creates a non-strict view of a slice of this map.

     Creates a non-strict view of a slice of this map.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current map, whereas `slice` produces a new map.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this map, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableProxyLike → TraversableProxyLike → IterableLike → TraversableLike

161. #### def view: IterableView[(A, B), This]

     Creates a non-strict view of this map.

     Creates a non-strict view of this map.

     returns

       a non-strict view of this map.

     Definition Classes
       IterableProxyLike → TraversableProxyLike → IterableLike → TraversableLike

162. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

163. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

164. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

165. #### def withFilter(p: ((A, B)) ⇒ Boolean): FilterMonadic[(A, B), This]

     Creates a non-strict filter of this map.

     Creates a non-strict filter of this map.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this map which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

166. #### abstract def zip[B](that: GenIterable[B]): Map[((A, B), B)]

     [use case] Returns a map formed from this map and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a map formed from this map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this map and `that`. The length of the returned collection is the minimum of the lengths of this map and `that`.

     Definition Classes
       GenIterableLike

167. #### def zip[A1 >: (A, B), B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[This, (A1, B), That]): That

     Returns a map formed from this map and another iterable collection by combining corresponding elements in pairs.

     Returns a map formed from this map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     B

       the type of the second half of the returned pairs

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, B)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, B), That]`. is found.

     that

       The iterable providing the second half of each result pair

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `(A1, B)`.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this map and `that`. The length of the returned collection is the minimum of the lengths of this map and `that`.

     Definition Classes
       IterableProxyLike → IterableLike → GenIterableLike

168. #### abstract def zipAll[B](that: Iterable[B], thisElem: (A, B), thatElem: B): Map[((A, B), B)]

     [use case] Returns a map formed from this map and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a map formed from this map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this map is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this map.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this map and `that`. The length of the returned collection is the maximum of the lengths of this map and `that`. If this map is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this map, `thatElem` values are used to pad the result.

     Definition Classes
       GenIterableLike

169. #### def zipAll[B, A1 >: (A, B), That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[This, (A1, B), That]): That

     Returns a map formed from this map and another iterable collection by combining corresponding elements in pairs.

     Returns a map formed from this map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this map is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this map.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this map and `that`. The length of the returned collection is the maximum of the lengths of this map and `that`. If this map is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this map, `thatElem` values are used to pad the result.

     Definition Classes
       IterableProxyLike → IterableLike → GenIterableLike

170. #### abstract def zipWithIndex: Map[((A, B), Int)]

     [use case] Zips this map with its indices.

     [use case]

     Zips this map with its indices.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this map paired with their index. Indices start at `0`.

     Definition Classes
       GenIterableLike

171. #### def zipWithIndex[A1 >: (A, B), That](implicit bf: CanBuildFrom[This, (A1, Int), That]): That

     Zips this map with its indices.

     Zips this map with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, Int)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, Int), That]`. is found.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this map paired with their index. Indices start at `0`.

     Definition Classes
       IterableProxyLike → IterableLike → GenIterableLike

### Deprecated Value Members

1. #### def elements: Iterator[(A, B)]

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `iterator' instead`

2. #### def first: (A, B)

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `head' instead`

3. #### def firstOption: Option[(A, B)]

   `None` if iterable is empty.

   `None` if iterable is empty.

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `headOption' instead`

4. #### def mapElements[C](f: (B) ⇒ C): Map[A, C]

   Definition Classes
     MapLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `mapValues' instead`

5. #### def projection: IterableView[(A, B), This]

   returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

   returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `view' instead`

### Inherited from IterableProxyLike[(A, B), This]

### Inherited from TraversableProxyLike[(A, B), This]

### Inherited from Proxy

### Inherited from MapLike[A, B, This]

### Inherited from Subtractable[A, This]

### Inherited from GenMapLike[A, B, This]

### Inherited from IterableLike[(A, B), This]

### Inherited from GenIterableLike[(A, B), This]

### Inherited from TraversableLike[(A, B), This]

### Inherited from GenTraversableLike[(A, B), This]

### Inherited from Parallelizable[(A, B), ParMap[A, B]]

### Inherited from TraversableOnce[(A, B)]

### Inherited from GenTraversableOnce[(A, B)]

### Inherited from FilterMonadic[(A, B), This]

### Inherited from HasNewBuilder[(A, B), This]

### Inherited from Equals

### Inherited from PartialFunction[A, B]

### Inherited from (A) ⇒ B

### Inherited from AnyRef

### Inherited from Any